<?php

namespace App\Exports;

use App\Aula;
use Illuminate\Contracts\View\View;
use Maatwebsite\Excel\Concerns\FromView;

class AulaExport implements FromView
{
    protected $id;
    protected $ubicacion;
    protected $capacidad;
    protected $tipo;

    public function __construct(String $id, String $ubicacion, String $capacidad, String $tipo)
    {
        $this->id = $id;
        $this->ubicacion = $ubicacion;
        $this->capacidad = $capacidad;
        $this->tipo = $tipo;
    }

    public function view(): View
    {
        if ($this->id == "" && $this->ubicacion == "" && $this->capacidad == "" && $this->tipo == "") {
            return view("aula.tabla", ['aula' => Aula::where('status_aula', '1')->get()]);
        } else {

            $aula = Aula::where('status_aula', '1');
            if ($this->id != "") {
                $id = $this->id;
                $aula = $aula->where('id_aula', 'like', '%' . $id . '%');
            }
            if ($this->ubicacion != "") {
                $ubicacion = $this->ubicacion;

                $aula = $aula->where('ubicacion_aula', 'like', '%' . $ubicacion . '%');
            }
            if ($this->capacidad != "") {
                $capacidad = $this->capacidad;
                $aula = $aula->where('capacidad_aula', 'like', '%' . $capacidad . '%');
            }
            if ($this->tipo != "") {
                $tipo = $this->tipo;
                $aula = $aula->where('tipo_aula', 'like', '%' . $tipo . '%');
            }
            $aula = $aula->get();
            return view('aula.tabla', ['aula' => $aula]);
        }
    }
}
